import { CustomSnippetsService } from './custom-snippets.service';
import { CreateCustomSnippetDto, UpdateCustomSnippetDto } from './dto/custom-snippet.dto';
import { CustomSnippet } from '../core-entities';
export declare class CustomSnippetsController {
    private readonly customSnippetsService;
    constructor(customSnippetsService: CustomSnippetsService);
    create(createCustomSnippetDto: CreateCustomSnippetDto): Promise<CustomSnippet>;
    findAll(): Promise<CustomSnippet[]>;
    findOne(id: string): Promise<CustomSnippet>;
    update(id: string, updateCustomSnippetDto: UpdateCustomSnippetDto): Promise<CustomSnippet>;
    remove(id: string): Promise<void>;
    duplicate(id: string): Promise<CustomSnippet>;
}
